Magento 2 на PHP 7.2 і вище

Якщо коротко, то не варто)) , якщо у вас в релізі мадженто версія пхп не прописана, то буде важко…

перша помилка на яку вказує лог це mcryptпідтримку якого вирубали в нових пхп, рішається добавлянням символу @ в єдиному ОДНОЙМЕННОМУ файлі, де юзається або виключити помилки PHP Disable the E_DEPRECATED error handling level for PHP

mcrypt_module_open will now be @mcrypt_module_open
mcrypt_enc_get_key_size will now be @mcrypt_enc_get_key_size
mcrypt_module_close will now be @mcrypt_module_close

а от далі починаєтсья цікаве, тобто проблеми з SessionManager

вирішення тут https://github.com/magento/magento2/issues/12603

і звідти сюди https://mage2.pro/t/topic/5215

 

Залишити відповідь